const
    goto_marker :string[2]='-1';

  var
    FromF,tof         : text;
    tek               : string;
    ra,dec            : real;
    error,tab         : integer;

begin
      writeln;

      writeln('Conversion of coastline MAPGEN files (ASCII) to HNSKY supplement.');
      writeln('Made for the HNSKY program by Han Kleijn.');
      writeln('Coastline files from http://crusty.er.usgs.gov/coast/getcoast.html');
      writeln;
      writeln('Uses: COAST inputfile');
      writeln('Output will be HNS_CCCC.SUP');
      writeln;
      if paramcount=0 then begin writeln('Error, no input file !'); halt;end;
      Assign(FromF,paramstr(1));
      Assign(tof,'hns_cccc.sup');
      { Record size = 1 }
       {$I-}
       Reset(FromF);
       if ioresult<>0 then
        begin writeln('Input file not found ! Enter full filename.');halt;end;
       {$I+}
       Rewrite(tof);
       error:=0;
      { Open output file }
      repeat
        readln(fromf,tek);
        if tek<>'# -b' then
        begin
          tab:=pos(#9,tek);
          val(copy(tek,1,tab-1),ra,error);
          if error<>0  then begin writeln('Error in: ',tek); end;
          ra:=(360-ra)/15;
          if ra>=24 then ra:=ra-24;

          val(copy(tek,tab+1,10),dec,error);
          if error<>0  then begin writeln('Error in: ',tek); end;
          writeln(tof,ra:1:6,',,,',dec:1:6,',,,,,,',goto_marker);
          goto_marker:='-1';
        end
        else
        goto_marker:='-2';
      until ((eof(fromf)) or (error<>0));
      Close(tof);
      close(fromf);
      if error=0 then writeln('Ready') else writeln('Stopped on error !');
   end.
